Skip to main content
`Ctrl`+`K`

# TSDIRKES213SAL

Second order DIRK scheme [KC19]. Also known as TR-BDF2, see[HS96] See `TSDIRK` for additional details.

## Options Database Key

- -ts_dirk_type es213sal - select this method.

## Note

This is the default DIRK scheme used in PETSc.

## References

[HS96]

ME Hosea and LF Shampine. Analysis and implementation of TR-BDF2. Applied Numerical Mathematics, 20(1-2):21–37, 1996.

[KC19]

Christopher A Kennedy and Mark H Carpenter. Diagonally implicit Runge–Kutta methods for stiff ODEs. Applied Numerical Mathematics, 146:221–244, 2019.

## See Also

TS: Scalable ODE and DAE Solvers, `TSDIRK`, `TSDIRKType`, `TSDIRKSetType()`

## Level

advanced

## Location

src/ts/impls/arkimex/arkimex.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages